---
title: Upload Document Entity
slug: poc-onboarding/upload-document-entity
createdAt: 2025-06-23T05:38:42.430Z
---

{
  "id": "EPJB-ZO0D27pfpAz0YqJK",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity",
    "servers": [
      {
        "url": "https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity"
      }
    ],
    "name": "Upload Document Entity",
    "description": "This endpoint allows you to upload entity documents directly via API. You may want to do this to fully customise the look and feel of the verification process within your website or application.\n\nEach call can only receive one document. Make sure to send the necessary data in the docSubType parameter.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "example": "{\"applicantId\":\"4242424242424x424242424242424242\",\"docSubType\":\"Certificate of incorporation\",\"docFile\":{\"filename\":\"/path/to/your/file.pdf\"}}",
          "description": "",
          "customType": "Upload_Document_Entity",
          "schema": [
            {
              "name": "applicantId",
              "kind": "required",
              "type": "string",
              "example": ""
            },
            {
              "name": "docSubType",
              "kind": "optional",
              "type": "string",
              "example": ""
            },
            {
              "name": "docFile",
              "kind": "required",
              "type": "object",
              "example": "",
              "schema": [
                {
                  "name": "filename",
                  "kind": "optional",
                  "type": "string",
                  "example": ""
                }
              ]
            }
          ],
          "modelRef": "#/components/schemas/Upload_Document_Entity",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "bearer",
          "name": "bearer",
          "kind": "optional",
          "type": "http",
          "in": "header",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"applicantId\":\"4242424242424x424242424242424242\",\"documentSubType\":\"Certificate of incorporation\"}",
            "description": "",
            "customType": "Upload_Document_Entity_-_Response",
            "schema": [
              {
                "name": "applicantId",
                "kind": "optional",
                "type": "string",
                "example": ""
              },
              {
                "name": "documentSubType",
                "kind": "optional",
                "type": "string",
                "example": ""
              }
            ],
            "modelRef": "#/components/schemas/Upload_Document_Entity_-_Response",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"applicantId\": \"\",\n     \"docFile\": {}\n     }'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"applicantId\": \"\",\n   \"docFile\": {}\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"applicantId\": \"\",\n   \"docFile\": {}\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev-api.monoova.com/kyb/v1/UploadDocumentEntity\"\n\npayload = json.dumps({\n   \"applicantId\": \"\",\n   \"docFile\": {}\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "{\n  \"applicantId\": \"\",\n  \"documentSubType\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": ""
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "id": "F7TRUX5ezGUri05vE-x57",
      "type": "paragraph",
      "children": [
        {
          "text": "This endpoint allows you to upload entity documents directly via API. You may want to do this to fully customise the look and feel of the verification process within your website or application."
        }
      ]
    },
    {
      "id": "7GMGN78zxWq8Jf4HFi73Z",
      "type": "paragraph",
      "children": [
        {
          "text": "Each call can only receive one document. Make sure to send the necessary data in the docSubType parameter."
        }
      ]
    }
  ]
}